//
// Created by Krad on 2023/4/6.
//

#ifndef MATLABFUNCTIONS_MATRIXFUNCTIONS_H
#define MATLABFUNCTIONS_MATRIXFUNCTIONS_H

#include <complex>
#include <cstddef>

namespace Aurora{
    float* malloc(size_t size,bool complex = false);
    void free(void* ptr);
    void gpuFree(void* ptr);
    float* random(size_t length);
};


#endif //MATLABFUNCTIONS_MATRIXFUNCTIONS_H
